Subject: [bug#40601] [guix-daemon now working on parabola with openrc]

From: Leo Famulari <[email-masked]>
Date: Fri, 22 May 2020 14:40:06 -0400

On Fri, May 22, 2020 at 01:44:39PM +0000, jgart--- via Guix-patches via wrote:
> I have openrc working on parabola with guix-daemon. It successfully registers the following service.
> 
> #! /sbin/openrc-run
> 
> description="guix build daemon" 
> command="/var/guix/profiles/per-user/root/current-guix/bin/guix-daemon" 
> command_args="--build-users-group=guixbuild" 
> command_background=true
> pidfile="/run/guix-daemon.pid"

Great!

> The above is a modification of Vincent's code in order to make it run for me without using the @localstatedir@ variable.

Does it still use the "correct" local state directory? Normally that's
'/var/guix' but I'm not sure what Parabola does.

> I would like to get this working with the packaged version of guix in parabola https://www.parabola.nu/packages/?q=guix

Is it not working now? What remains to be done, aside from updating the
packages?